#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: djinn-ghc
version: 0.0.2.3
id: djinn-ghc-0.0.2.3-5gvxjH6uYYeEsAinST8oYt
key: djinn-ghc-0.0.2.3-5gvxjH6uYYeEsAinST8oYt
license: BSD-3-Clause
maintainer: trupill@gmail.com
author: Alejandro Serrano
synopsis: Generate Haskell code from a type. Bridge from Djinn to GHC API.
description:
    Djinn uses an theorem prover for intuitionistic propositional logic
    to generate a Haskell expression when given a type.
    This is the bridge from djinn-lib to GHC API.
category: Language
abi: 8e26599cae4b0807a4eef5167e1dd340
exposed: True
exposed-modules:
    Djinn.GHC
import-dirs: /usr/lib/ghc-8.4.3/site-local/djinn-ghc-0.0.2.3
library-dirs: /usr/lib/ghc-8.4.3/site-local/djinn-ghc-0.0.2.3
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.4.3/djinn-ghc-0.0.2.3
hs-libraries: HSdjinn-ghc-0.0.2.3-5gvxjH6uYYeEsAinST8oYt
depends:
    base-4.11.1.0 mtl-2.2.2 ghc-8.4.3 containers-0.5.11.0
    transformers-0.5.5.0 djinn-lib-0.0.1.3-JjfOG3wSqQ42UziBnp4wOB
    async-2.2.1-B6m2kYywRJu7nicgTBxsJe
abi-depends: base-4.11.1.0=9da3f387598d41928f3ebf8097acf9b3
             mtl-2.2.2=3cf3b316ad8e985e039ee3b498a98253
             ghc-8.4.3=eef2f41901320161f5f168c67278fe14
             containers-0.5.11.0=7795138514357bd2e41eaf59b6cfce4f
             transformers-0.5.5.0=633c3e5ec737c360775b452ce9aa1e0b
             djinn-lib-0.0.1.3-JjfOG3wSqQ42UziBnp4wOB=ba500f02ab2e87e4b2ea05cb1aff6455
             async-2.2.1-B6m2kYywRJu7nicgTBxsJe=64d83880768398851ddaf7518afebeee
haddock-interfaces: /usr/share/doc/haskell-djinn-ghc/html/djinn-ghc.haddock
haddock-html: /usr/share/doc/haskell-djinn-ghc/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

